2022-08-23 17:27 - SZHW Test-0 O O

Status: 0 O Closed Start date: 2022-08-23
Priority: High Due date: 2022-11-03
Assignee: SZHW Test-00 O O % Done: 100%
Category: 0000000 bug Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: Found Version: 10.240 0O
Resolution: Degrated:

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

goobooooe-levuobooooono

History

#1 - 2022-08-29 16:42 - SZBSP-0 0O O

oooooooo

#2 - 2022-09-01 11:10 - SZ BSP-O0 O O

- Tracker changed from Bug to [0 [0 Dev
- Status changed from New to O [0 O In Progress

ADCOOO0O0O0O0OO0O0OOObg0 000000000000

#3 - 2022-09-05 09:55 - SZBSP-0 O O
- % Done changed from 0 to 80

ooooooooooooo

#4 - 2022-09-13 09:54 - SZ BSP-UJ O [

- Assignee changed from SZ BSP-OJ O OO to CD BSP-O O

#5 - 2022-09-14 14:05 - SZ HW Test-0 0 O
- Category set to EE

#6 - 2022-09-23 15:29 - IOT-SP-TEST O O
- Due date set to 2022-09-26

#7 - 2022-09-26 18:57 - CD BSP-0 O

- File FigureApp.mot added
- % Done changed from 80 to 100
#8 - 2022-09-28 16:34 - CD BSP-UJ I

- File FigureApp.mot added

- Status changed from O O O In Progress to O [0 Resolved
- Assignee changed from CD BSP-[0 0 to CD BSP-[I 0

- Target version set to VX1_MCE_FSE_V2.0_20220930

0000000000000 000ooOob0ooooooooboooaOoa
https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/152609

#9 - 2022-10-17 14:33 - CD BSP-0 O
- Status changed from O O Resolved to O O Closed

#10 - 2022-10-31 18:07 - SZ HW Test-0 O O

- Tracker changed from O O Dev to Bug

- Subject changed from O Figured O EVTO O EEO35vO0 000,200 0000 toOFigureD OEVTOOEEOD OO OO:00O00O17vO O O OO 16.4Vv,0
016.5V

- Category changed fromEEto 0 O O O O O O bug

- Assignee changed from CD BSP-O0 0 to CD BSP-0O0 O

- Severity set to Critical

- Reproducibility set to Every time

- Test Type set to Release Test

- Found Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0040.X101

EvT0000000:000017vOOO0OD116.4V,0016.5V

#11 - 2022-10-31 18:08 - SZ HW Test-00 00 O
- Tracker changed from Bug to 00 0 Requirement
- Status changed from O O Closed to O O O Not Started

#12 - 2022-10-31 18:09 - SZ HW Test-00 O O

- Tracker changed from O O Requirement to Bug
- Severity set to Critical

- Reproducibility set to Every time

- Test Type set to Release Test

- Found Version set to 2022.10.240 O

#13 - 2022-11-01 10:33 - CDTS-TEST O O
- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_update 20221115

#14 - 2022-11-01 16:53 - CD BSP-0 O

- Assignee changed from CD BSP-[0 (0 to SZ HW Test-00 0 O

- Target version changed from VVX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V2.0_20220930
- Resolution set to FIXED

- Found Version changed from 2022.10.240 0 to 0 0 0 0 202211020 OO OO OO O

- Degrated set to No

- Fixed Version set to 2022-11-02
#15 - 2022-11-02 13:29 - SZ HW Test-0 O O

- Subject changed from O FigureD O EVTO OEED OO0 0D0:000017vO O OO O16.4V,0016.5Vto 0 Figured DEVT20OEEC O OO O:0D O OO 17vO
0000164v,0016.5VvV

- Assignee changed from SZ HW Test-0J O [0 to CD BSP-0 O

#16 - 2022-11-02 13:37 - CDTS-TEST O O
- Status changed from [0 0 O Not Started to O O [0 In Progress

#17 - 2022-11-02 16:37 - IOT-SP-TEST 0 O
- Due date changed from 2022-09-26 to 2022-11-03

#18 - 2022-11-02 17:03 - CD BSP-0 O

gooooooooooooooo

#19 - 2022-11-03 09:43 - CD BSP-00 0
- Assignee changed fromCDBSP-O 0 toO O OO _SD30 00O
- Found Version changed from O O 0 0 202211020 0 0 0 O O O O t0 202211030 O DBO O

gooooooooooooooDo

#20 - 2022-11-07 18:01 - SZHW Test-00 O O
- Assignee changed from 0 0 0 0 _SD3 0 0 O to CD BSP-0 [

#21 - 2022-11-08 09:45 - CD BSP-0 O

- Assignee changed from CD BSP-00 O to SZ HW Test-0 0 O

- Found Version changed from 202211030 O DB O to 2022110801 O DBO O
- Fixed Version changed from 2022-11-02 to 2022-11-08

goooooobsOOOO

#22 - 2022-11-08 14:39 - CD BSP-00 O

oooooooo

gooooooogolevooooooooooilrvg

ooooooooon
go0O01ev-164vO000000DOOOODOOODODOIGSV-17VOOOODOO
gooOosev-9vODOOOODOOOODODOOODOOOs8Sv-8vOOOODO.
#23 - 2022-11-1510:59 - SZ HW Test-0 00 O
- Tracker changed from Bug to 00 00 Test-I1T
- Status changed from O O O In Progress to 0 [0 Closed
#24 - 2022-11-1511:05 - SZ HW Test-0 0 O
- Tracker changed from O O Test-IT to Bug

- Severity set to Critical

- Reproducibility set to Every time
- Test Type set to Release Test

- Found Version set t0 10.240 O

0000000000000 0Oresolvedd OO0 Overifedd 000000000 OOO

#25 - 2022-12-22 20:38 - CD FW-0 O

Gerrit Merge Information]

1D

Project

Branch

Uploader

152609

Pre_figure/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on
and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:
1201-0102703TC-RID: 1201-0102704IssuelD: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lssuelD: TS-R-BUG-111732IssuelD: TS-R-BUG-112002IssuelD:
TS-R-DF-1114211Issuel D: TS-R-DF-1120991ssuel D: TS-R-DF-110660IssuelD: TS-R-DF-110663IssuelD: TS-R-DF-110664Change-1d:
lach3bbd40b9278405f21f5d34d741dfe08c3c4ff

#26 - 2022-12-22 20:39 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

152787

general/vendor/tc/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com
BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is \V0.0.1, which is the initial version. Implementation function:1.
Increase the power-on sequence?2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:
1201-01027041ssuel D: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lIssuelD: TS-R-BUG-111732IssuelD: TS-R-BUG-112002IssuelD:
TS-R-DF-1114211ssuelD: TS-R-DF-112099Issuel D: TS-R-DF-110660Issuel D: TS-R-DF-1106631ssuelD: TS-R-DF-110664Change-1d:
1047b1483f360d87a7a080b1470eb836¢chc620a06e

#27 - 2022-12-22 20:42 - CD FwW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
154928 Pre_figure/mcu Pre_figure_turbox-c2130c-lal.1-vendo [ jie.chen@thundersoft.com
r-dev

BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase
theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen
is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions. TC-RID:
1201-0102701TC-RID: 1201-0102703TC-RID: 1201-01027041ssuel D: TS-R-BUG-111416lssuelD: TS-R-BUG-111734IssuelD: TS-R-BUG-111732lssuelD:
TS-R-BUG-112002IssuelD: TS-R-DF-1114211ssuelD: TS-R-DF-112099IssuelD: TS-R-DF-110660IssuelD: TS-R-DF-110663IssuelD:
TS-R-DF-110664Change-Id: 10c7022c0c6e09e54f1b390deb1fb0df27ece4a3s
#28 - 2022-12-22 20:48 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

159218

Pre_figure/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Modify the standard value of overvoltage and undervoltageSince the hard test test found that the voltage value of overvoltageand undervoltage is
inaccurate, after measuring the accurate value witha multimeter, the value set at the time of overvoltage and undervoltageis reset according to the value of the
multimeter.Bin version: V0.0.2TC-RID: 1201-0102704IssuelD: TS-R-BUG-111421Change-Id: 13fd7ca9228e844cacd18f483458061fd19a0b354

#29 - 2022-12-22 20:48 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

159244

general/vendor/tc/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: Modify the standard value of overvoltage and undervoltageSince the hard test test found that the voltage value of overvoltageand undervoltage is
inaccurate, after measuring the accurate value witha multimeter, the value set at the time of overvoltage and undervoltageis reset according to the value of the
multimeter.Bin version: VV0.0.2TC-RID: 1201-0102704lIssuel D: TS-R-BUG-111421Change-1d: led8442b138f7781a70e4264bd1d7b2b6c1d55€f3

#30 - 2022-12-22 20:50 - CD FwW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

160640

Pre_figure/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Modify the overvoltage and undervoltage voltage valuesModify the overvoltage and undervoltage voltage values:Overvoltage: more than 16.7V,
recovery: less than 16.3V;Undervoltage: below 8.4V, recovery: above 8.8VBin version: VV0.0.4TC-RID: 1201-01027041ssuel D: TS-R-BUG-111421Change-Id:
1de842c61429108636a33de5a4d46f257b0ed9646
#31 - 2022-12-22 20:50 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

160831

general/vendor/tc/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: Modify the overvoltage and undervoltage voltage valuesModify the overvoltage and undervoltage voltage values:Overvoltage: more than 16.7V,
recovery: less than 16.3V;Undervoltage: below 8.4V, recovery: above 8.8VBin version: VV0.0.4TC-RID: 1201-01027041ssuel D: TS-R-BUG-111421Change-1d:
1c16¢7076031ed6fc17656bb222c094dd6c165036

Files

FigureApp.mot 775 KB 2022-09-26 CDBSP-0 0O

FigureApp.mot 84.9 KB 2022-09-28 CDBSP-0 0O
